package market.Mes.Lengthwise.Plan.mapper;
import java.util.HashMap;
import java.util.List;

import market.Mes.Lengthwise.Plan.vo.PlnMatReplaceLog;
import market.Mes.OrderManager.Plan.vo.PlnProdorder;

import org.apache.ibatis.annotations.Param;

import com.hnshituo.orm.GenericMapper;

@SuppressWarnings("rawtypes")
public interface PlnMatReplaceLogMapper extends GenericMapper<PlnMatReplaceLog,Object> {
	
	List<HashMap> doQuery(PlnProdorder object, String startTime, String endTime, String string, int j, int i, String string2);
  
	long doQueryCount(PlnProdorder object, String startTime, String endTime,String memo1, String string);

	// 
	List<PlnProdorder> findFristInfo(@Param("coilNo")String coilNo);
	
	// 查询原料卷挂单信息
	List<PlnProdorder> findreplacelog(String coilNo);
	
	//查询脱单信息
	List<HashMap> doQueryTuoDanInfo(PlnProdorder pp,String condition);
	
	//查询一体化脱单信息
	List<HashMap> doQueryTuoDanInfoYTH(PlnProdorder pp,String condition);
	
	long doQueryTuoDanInfoCount(PlnProdorder pp,String condition);
}
